# blancoResourceBundle properties file for locale [ja]
## \u30BD\u30FC\u30B9\u30B3\u30FC\u30C9\u304C\u5909\u5F62\u306A\u3057\u306B\u8CBC\u308A\u4ED8\u3051\u3089\u308C\u308B\u306E\u3067\u3001\u5168\u30BD\u30FC\u30B9\u304C\u30EA\u30BD\u30FC\u30B9\u30D0\u30F3\u30C9\u30EB\u5B9A\u7FA9\u3055\u308C\u307E\u3059\u3002
PACKAGE.PREFIX=.util
CLASS_NAME=BlancoCsvRuntimeUtil
FILECOMMENT=blancoCsv\u3067\u5229\u7528\u3059\u308B\u5B9F\u884C\u6642\u30E6\u30FC\u30C6\u30A3\u30EA\u30C6\u30A3\u30AF\u30E9\u30B9\u3002
CLASSCOMMENT.01=blancoCsv\u3067\u5229\u7528\u3059\u308B\u5B9F\u884C\u6642\u30E6\u30FC\u30C6\u30A3\u30EA\u30C6\u30A3\u30AF\u30E9\u30B9\u3002
CLASSCOMMENT.02=\u3053\u306E\u30D5\u30A1\u30A4\u30EB\u306Fblanco Framework\u306B\u3088\u308A\u81EA\u52D5\u751F\u6210\u3055\u308C\u3066\u3044\u307E\u3059\u3002
## ReadToken\u30E1\u30BD\u30C3\u30C9
READTOKEN.NAME=ReadToken
READTOKEN.JAVADOC=\u4E0E\u3048\u3089\u308C\u305FReader\u304B\u3089 \u4E0E\u3048\u3089\u308C\u305F\u30C7\u30EA\u30DF\u30BF\u3092\u4F7F\u3063\u3066\u30C8\u30FC\u30AF\u30F3\u3092\u53D6\u308A\u51FA\u3057\u307E\u3059\u3002
READTOKEN.ARG.01.TYPE=System.IO.TextReader
READTOKEN.ARG.01.NAME=argReader
READTOKEN.ARG.01.JAVADOC=\u4E0E\u3048\u3089\u308C\u305F\u30EA\u30FC\u30C0\u3002
READTOKEN.ARG.02.TYPE=char
READTOKEN.ARG.02.NAME=delimiter
READTOKEN.ARG.02.JAVADOC=\u30C7\u30EA\u30DF\u30BF
READTOKEN.ARG.03.TYPE=bool
READTOKEN.ARG.03.NAME=isEndOfLine
READTOKEN.ARG.03.JAVADOC=\u884C\u306E\u7D42\u7AEF\u3067\u3042\u308B\u306E\u304B\u3069\u3046\u304B\u30D5\u30E9\u30B0\u3002
READTOKEN.RETURN.TYPE=string
READTOKEN.RETURN.JAVADOC=\u53D6\u308A\u51FA\u3055\u308C\u305F\u30C8\u30FC\u30AF\u30F3\u3002\u3082\u306F\u3084\u30EA\u30FC\u30C0\u304C\u7A7A\u306E\u5834\u5408\u306B\u306Fnull\u3092\u8FD4\u3057\u307E\u3059\u3002
READTOKEN.THROWS.01.TYPE=BlancoCsvIOException
READTOKEN.THROWS.01.JAVADOC=\u30C0\u30D6\u30EB\u30AF\u30AA\u30FC\u30C8\u306E\u4E0D\u4E00\u81F4\u306A\u3069\u304C\u767A\u751F\u3057\u305F\u5834\u5408\u3002
READTOKEN.LINE.01=StringBuilder buffer \= new StringBuilder();
READTOKEN.LINE.02=for (;;) {
READTOKEN.LINE.03=int iRead \= argReader.Read();
READTOKEN.LINE.04=if (iRead < 0) {
READTOKEN.LINE.05=// \u7D42\u7AEF\u306B\u5230\u9054\u3002
READTOKEN.LINE.06=if (isEndOfLine \=\= false) {
READTOKEN.LINE.07=throw new BlancoCsvIOException("\u884C\u306E\u7D42\u7AEF\u3067\u306A\u3044\u306E\u306B\u3082\u95A2\u308F\u3089\u305A\u30C7\u30EA\u30DF\u30BF\u304C\u73FE\u308C\u305A\u306B\u884C\u304C\u7D42\u4E86\u3057\u3066\u3057\u307E\u3044\u307E\u3057\u305F\u3002");
READTOKEN.LINE.08=}
READTOKEN.LINE.09=break;
READTOKEN.LINE.10=}
READTOKEN.LINE.11=if (iRead \=\= delimiter) {
READTOKEN.LINE.12=if (isEndOfLine) {
READTOKEN.LINE.13=throw new BlancoCsvIOException("\u884C\u306E\u7D42\u7AEF\u3067\u3042\u308B\u3079\u304D\u306B\u3082\u95A2\u308F\u3089\u305A\u30C7\u30EA\u30DF\u30BF\u304C\u73FE\u308C\u307E\u3057\u305F\u3002");
READTOKEN.LINE.14=}
READTOKEN.LINE.15=break;
READTOKEN.LINE.16=} else {
READTOKEN.LINE.17=buffer.Append((char) iRead);
READTOKEN.LINE.18=}
READTOKEN.LINE.19=}
READTOKEN.LINE.20=return buffer.ToString();
## ReadTokenWithQuote\u30E1\u30BD\u30C3\u30C9
READTOKENWITHQUOTE.NAME=ReadTokenWithQuote
READTOKENWITHQUOTE.JAVADOC=\u4E0E\u3048\u3089\u308C\u305FReader\u304B\u3089 \u30C0\u30D6\u30EB\u30AF\u30AA\u30FC\u30C8\u51E6\u7406\u4ED8\u304D\u3067 \u4E0E\u3048\u3089\u308C\u305F\u30C7\u30EA\u30DF\u30BF\u3092\u4F7F\u3063\u3066\u30C8\u30FC\u30AF\u30F3\u3092\u53D6\u308A\u51FA\u3057\u307E\u3059\u3002
READTOKENWITHQUOTE.ARG.01.TYPE=System.Text.TextReader
READTOKENWITHQUOTE.ARG.01.NAME=argReader
READTOKENWITHQUOTE.ARG.01.JAVADOC=\u4E0E\u3048\u3089\u308C\u305F\u30EA\u30FC\u30C0\u3002
READTOKENWITHQUOTE.ARG.02.TYPE=char
READTOKENWITHQUOTE.ARG.02.NAME=delimiter
READTOKENWITHQUOTE.ARG.02.JAVADOC=\u30C7\u30EA\u30DF\u30BF\u3002
READTOKENWITHQUOTE.RETURN.TYPE=string
READTOKENWITHQUOTE.RETURN.JAVADOC=\u53D6\u308A\u51FA\u3055\u308C\u305F\u30C8\u30FC\u30AF\u30F3\u3002\u3082\u306F\u3084\u30EA\u30FC\u30C0\u304C\u7A7A\u306E\u5834\u5408\u306B\u306Fnull\u3092\u8FD4\u3057\u307E\u3059\u3002
READTOKENWITHQUOTE.THROWS.01.TYPE=BlancoCsvIOException
READTOKENWITHQUOTE.THROWS.01.JAVADOC=\u30C0\u30D6\u30EB\u30AF\u30AA\u30FC\u30C8\u306E\u4E0D\u4E00\u81F4\u306A\u3069\u304C\u767A\u751F\u3057\u305F\u5834\u5408\u3002
READTOKENWITHQUOTE.LINE.01=StringBuilder buffer \= new StringBuilder();
READTOKENWITHQUOTE.LINE.02=bool isStringStarted \= false;
READTOKENWITHQUOTE.LINE.03.01=bool isStringEnded \= false;
READTOKENWITHQUOTE.LINE.03.02=// \u524D\u56DE\u8AAD\u307F\u8FBC\u3093\u3067\u3001\u305D\u306E\u5F8C\u672A\u51E6\u7406\u306E\u30C7\u30FC\u30BF\u3092\u4FDD\u6301\u3057\u307E\u3059\u3002\u4FDD\u6301\u3057\u306A\u3044\u5834\u5408\u306B\u306F -1 \u3092\u84C4\u3048\u307E\u3059\u3002
READTOKENWITHQUOTE.LINE.03.03=int previousChar \= -1;
READTOKENWITHQUOTE.LINE.04.01=for (;;) {
READTOKENWITHQUOTE.LINE.04.02=int iRead \= -1;
READTOKENWITHQUOTE.LINE.04.03=if (previousChar < 0)
READTOKENWITHQUOTE.LINE.04.04={
READTOKENWITHQUOTE.LINE.04.05=iRead \= argReader.Read();
READTOKENWITHQUOTE.LINE.04.06=if (iRead < 0)
READTOKENWITHQUOTE.LINE.04.07={
READTOKENWITHQUOTE.LINE.04.08=// \u7D42\u7AEF\u306B\u5230\u9054\u3002
READTOKENWITHQUOTE.LINE.04.09=break;
READTOKENWITHQUOTE.LINE.04.10=}
READTOKENWITHQUOTE.LINE.04.11=}
READTOKENWITHQUOTE.LINE.05=else
READTOKENWITHQUOTE.LINE.06={
READTOKENWITHQUOTE.LINE.07=iRead \= previousChar;
READTOKENWITHQUOTE.LINE.08=previousChar \= -1;
READTOKENWITHQUOTE.LINE.09=}
READTOKENWITHQUOTE.LINE.10=if (isStringStarted \=\= false) {
READTOKENWITHQUOTE.LINE.11=if (iRead \!\= '"') {
READTOKENWITHQUOTE.LINE.12=throw new BlancoCsvIOException("\u30C0\u30D6\u30EB\u30AF\u30AA\u30FC\u30C8\u7121\u3057\u3067\u6587\u5B57\u5217\u304C\u958B\u59CB\u3055\u308C\u307E\u3057\u305F\u3002");
READTOKENWITHQUOTE.LINE.13=}
READTOKENWITHQUOTE.LINE.14=// \u30C0\u30D6\u30EB\u30AF\u30AA\u30FC\u30C6\u30FC\u30B7\u30E7\u30F3\u306F\u8AAD\u307F\u98DB\u3070\u3057\u307E\u3059\u3002
READTOKENWITHQUOTE.LINE.15=isStringStarted \= true;
READTOKENWITHQUOTE.LINE.16=} else if (isStringEnded) {
READTOKENWITHQUOTE.LINE.17=if (iRead \=\= delimiter) {
READTOKENWITHQUOTE.LINE.18=// \u6587\u5B57\u5217\u7D42\u7AEF\u306B\u5230\u9054\u3057\u307E\u3057\u305F\u3002
READTOKENWITHQUOTE.LINE.19=break;
READTOKENWITHQUOTE.LINE.20=}
READTOKENWITHQUOTE.LINE.21=throw new BlancoCsvIOException("\u30C0\u30D6\u30EB\u30AF\u30AA\u30FC\u30C8\u306B\u3088\u308B\u6587\u5B57\u5217\u7D42\u4E86\u3088\u308A\u5F8C\u306B\u6587\u5B57\u5217\u304C\u4E0E\u3048\u3089\u308C\u307E\u3057\u305F\u3002");
READTOKENWITHQUOTE.LINE.22=} else {
READTOKENWITHQUOTE.LINE.23=// \u901A\u5E38\u306E\u6587\u5B57\u5217\u30A8\u30EA\u30A2
READTOKENWITHQUOTE.LINE.24=if (iRead \=\= '"') {
READTOKENWITHQUOTE.LINE.25=// \u30C0\u30D6\u30EB\u30AF\u30AA\u30FC\u30C8\u304C\u91CD\u306D\u3089\u308C\u305F\u3082\u306E\u3067\u306A\u3044\u304B\u3069\u3046\u304B\u30C1\u30A7\u30C3\u30AF\u3057\u307E\u3059\u3002
READTOKENWITHQUOTE.LINE.26=previousChar \= argReader.Read();
READTOKENWITHQUOTE.LINE.27=if (previousChar \=\= '"') {
READTOKENWITHQUOTE.LINE.28=// \u30A8\u30B9\u30B1\u30FC\u30D7\u3055\u308C\u305F\u30C0\u30D6\u30EB\u30AF\u30AA\u30FC\u30C8
READTOKENWITHQUOTE.LINE.29=// 2\u3064\u3067\u3072\u3068\u3064\u306A\u306E\u3067\u3001\u3072\u3068\u3064\u306F\u8AAD\u307F\u6368\u3066\u307E\u3059\u3002
READTOKENWITHQUOTE.LINE.30.01=buffer.Append((char) iRead);
READTOKENWITHQUOTE.LINE.30.02=previousChar \= -1;
READTOKENWITHQUOTE.LINE.31=} else {
READTOKENWITHQUOTE.LINE.32=// \u30C0\u30D6\u30EB\u30AF\u30AA\u30FC\u30C8\u306B\u3088\u308B\u30A8\u30B9\u30B1\u30FC\u30D7\u3067\u306F\u3042\u308A\u307E\u305B\u3093\u3067\u3057\u305F\u3002
READTOKENWITHQUOTE.LINE.33=// \u3053\u308C\u306F\u7D42\u7AEF\u3092\u610F\u5473\u3057\u3066\u3044\u307E\u3059\u3002
READTOKENWITHQUOTE.LINE.35=isStringEnded \= true;
READTOKENWITHQUOTE.LINE.36=}
READTOKENWITHQUOTE.LINE.37=} else {
READTOKENWITHQUOTE.LINE.38=buffer.Append((char) iRead);
READTOKENWITHQUOTE.LINE.39=}
READTOKENWITHQUOTE.LINE.40=}
READTOKENWITHQUOTE.LINE.41=}
READTOKENWITHQUOTE.LINE.42=if (isStringStarted \=\= false) {
READTOKENWITHQUOTE.LINE.43=throw new BlancoCsvIOException("\u30C0\u30D6\u30EB\u30AF\u30AA\u30FC\u30C8\u304C\u5FC5\u8981\u306A\u6587\u5B57\u5217\u3067\u3042\u308B\u306E\u306B\u30C0\u30D6\u30EB\u30AF\u30AA\u30FC\u30C8\u306B\u3088\u308B\u958B\u59CB\u304C\u73FE\u308C\u307E\u305B\u3093\u3067\u3057\u305F\u3002");
READTOKENWITHQUOTE.LINE.44=}
READTOKENWITHQUOTE.LINE.45=if (isStringEnded \=\= false) {
READTOKENWITHQUOTE.LINE.46=throw new BlancoCsvIOException("\u30C0\u30D6\u30EB\u30AF\u30AA\u30FC\u30C8\u304C\u5FC5\u8981\u306A\u6587\u5B57\u5217\u3067\u3042\u308B\u306E\u306B\u30C0\u30D6\u30EB\u30AF\u30AA\u30FC\u30C8\u306B\u3088\u308B\u7D42\u4E86\u304C\u73FE\u308C\u307E\u305B\u3093\u3067\u3057\u305F\u3002");
READTOKENWITHQUOTE.LINE.47=}
READTOKENWITHQUOTE.LINE.48=return buffer.ToString();
## GetTokenWithQuote\u30E1\u30BD\u30C3\u30C9
GETTOKENWITHQUOTE.NAME=GetTokenWithQuote
GETTOKENWITHQUOTE.JAVADOC=\u30C0\u30D6\u30EB\u30AF\u30AA\u30FC\u30C8\u30A8\u30B9\u30B1\u30FC\u30D7\u51E6\u7406\u4ED8\u304D\u306E\u6587\u5B57\u5217\u3092\u53D6\u5F97\u3057\u307E\u3059\u3002
GETTOKENWITHQUOTE.ARG.01.TYPE=string
GETTOKENWITHQUOTE.ARG.01.JAVADOC=\u66F8\u304D\u51FA\u3057\u305F\u3044\u6587\u5B57\u5217\u3002
GETTOKENWITHQUOTE.RETURN.TYPE=string
GETTOKENWITHQUOTE.RETURN.JAVADOC=\u30C0\u30D6\u30EB\u30AF\u30AA\u30FC\u30C8\u30A8\u30B9\u30B1\u30FC\u30D7\u51E6\u7406\u4ED8\u304D\u306E\u6587\u5B57\u5217\u3002
GETTOKENWITHQUOTE.THROWS.01.TYPE=BlancoCsvIOException
GETTOKENWITHQUOTE.THROWS.01.JAVADOC=\u5165\u51FA\u529B\u4F8B\u5916\u306A\u3069\u304C\u767A\u751F\u3057\u305F\u5834\u5408\u3002
GETTOKENWITHQUOTE.ADDUSINGTYPE.01=System.IO.StringWriter
GETTOKENWITHQUOTE.ADDUSINGTYPE.02=System.IO.StringReader
GETTOKENWITHQUOTE.LINE.01=StringWriter writer \= new StringWriter();
GETTOKENWITHQUOTE.LINE.02=writer.Write("\\"");
GETTOKENWITHQUOTE.LINE.03=
GETTOKENWITHQUOTE.LINE.04=StringReader reader \= new StringReader(value);
GETTOKENWITHQUOTE.LINE.05=for (;;) {
GETTOKENWITHQUOTE.LINE.06=int iRead \= reader.Read();
GETTOKENWITHQUOTE.LINE.07=if (iRead < 0) {
GETTOKENWITHQUOTE.LINE.08=// \u7D42\u7AEF\u306B\u5230\u9054\u3002
GETTOKENWITHQUOTE.LINE.09=break;
GETTOKENWITHQUOTE.LINE.10=}
GETTOKENWITHQUOTE.LINE.11=if (iRead \=\= '\\"') {
GETTOKENWITHQUOTE.LINE.12=// \u30C0\u30D6\u30EB\u30AF\u30AA\u30FC\u30C8\u306F\u4E8C\u91CD\u3067\u66F8\u304D\u51FA\u3057\u307E\u3059\u3002
GETTOKENWITHQUOTE.LINE.13=writer.Write("\\"\\"");
GETTOKENWITHQUOTE.LINE.14=} else {
GETTOKENWITHQUOTE.LINE.15=writer.Write((char) iRead);
GETTOKENWITHQUOTE.LINE.16=}
GETTOKENWITHQUOTE.LINE.17=}
GETTOKENWITHQUOTE.LINE.18=
GETTOKENWITHQUOTE.LINE.19=writer.Write("\\"");
GETTOKENWITHQUOTE.LINE.20=writer.Close();
GETTOKENWITHQUOTE.LINE.21=return writer.ToString();
